# Uses of Class
de.geolykt.starloader.transformers.ASMTransformer

Packages that use ASMTransformer
Package
Description
de.geolykt.starloader.launcher
Package for launcher-specific classes.
de.geolykt.starloader.transformers
Classes for runtime code transforming.
net.minestom.server.extras.selfmodification

## Uses of ASMTransformer in de.geolykt.starloader.launcher

Subclasses of ASMTransformer in de.geolykt.starloader.launcher
Modifier and Type
Class
Description
`final class`
`ASMMixinTransformer`

## Uses of ASMTransformer in de.geolykt.starloader.transformers

Subclasses of ASMTransformer in de.geolykt.starloader.transformers
Modifier and Type
Class
Description
`class`
`ReversibleAccessSetterTransformer`
An `ASMTransformer` that implements the transformation of class files via reversible access setters (RAS).
`class`
`StarplaneAnnotationsInlineTransformer`
Simple transformer that inlines the proper values from the starplane-annotations string source, without remapping them - that is it uses the references as-is.
Methods in de.geolykt.starloader.transformers that return types with arguments of type ASMTransformer
Modifier and Type
Method
Description
`@NotNull @Unmodifiable Collection<@NotNull ASMTransformer>`
TransformableClassloader.`getASMTransformers()`
Methods in de.geolykt.starloader.transformers with parameters of type ASMTransformer
Modifier and Type
Method
Description
`void`
TransformableClassloader.`addASMTransformer(@NotNull ASMTransformer transformer)`
`int`
ASMTransformer.`compareTo(ASMTransformer o)`
Base implementation of `Comparable.compareTo(Object)` based on `getPriority()`.

## Uses of ASMTransformer in net.minestom.server.extras.selfmodification

Methods in net.minestom.server.extras.selfmodification that return types with arguments of type ASMTransformer
Modifier and Type
Method
Description
`@NotNull @Unmodifiable Collection<@NotNull ASMTransformer>`
MinestomRootClassLoader.`getASMTransformers()`
`List<ASMTransformer>`
MinestomRootClassLoader.`getTransformers()`
Deprecated.
Use `TransformableClassloader.getASMTransformers()` instead.
Methods in net.minestom.server.extras.selfmodification with parameters of type ASMTransformer
Modifier and Type
Method
Description
`void`
MinestomRootClassLoader.`addASMTransformer(@NotNull ASMTransformer transformer)`
`void`
MinestomRootClassLoader.`addTransformer(ASMTransformer transformer)`
Deprecated.